#pragma once
#include <stdint.h>
#include <string>

namespace Deer {
    namespace EditorEngine {
        struct EntityStruct {
            EntityStruct(uint16_t entId) : entityId(entId) { }

            uint16_t entityId;

            int getChildCount();
            EntityStruct getChild(int);

            std::string getName();
            int getId();
        };

        EntityStruct getRoot();
        void constructEntityStruct(int id, void* memory);
        void copyEntityStruct(int id, void* memory);
        
    }
}